[IOIO-Q] การเพิ่มไลบรารีของ IOIO ลงใน Eclipse [ver.4.00]

      บอร์ด IOIO-Q หรือ IOIO V1 จะสามารถอัปเดทเฟิร์มแวร์ได้สูงสุดที่ 3.11 ซึ่งเฟิร์มแวร์เวอร์ชัน 3.11 จะใช้ไลบรารีเวอร์ชัน 4.00 ซึ่งมีขั้นตอนการเพิ่มไลบรารีลงใน Eclipse ที่แตกต่างไปจากเดิม สำหรับบอร์ด IOIO-Q ที่ผลิตขึ้นก่อนวันที่ 24 เดือนมีนาคม 2557 จะเป็นเฟิร์มแวร์เวอร์ชัน  3.06 ซึ่งต้องใช้ไลบรารีเวอร์ชัน 3.26 แต่ก็สามารถอัปเดทเฟิร์มแวร์ให้เป็น 3.11 ได้เช่นกัน และเปลี่ยนมาใช้ไลบรารีเป็นเวอร์ชัน 4.00 (ในกรณีที่อัปเดทเฟิร์มแวร์แล้ว แต่ยังใช้ไลบรารีเวอร์ชัน 3.26 อยู่ ก็สามารถใช้งานได้ตามปกติเช่นกัน) ในการเปลี่ยนไลบรารีบน Eclipse จะต้องลบไลบรารีตัวเก่าออกให้หมดก่อน โดยจะต้องติ๊กเลือกที่ Delete project content on disk (cannot be undone) ด้วย

      เมื่อลบของเก่าทิ้งแล้วก็เพิ่มของใหม่ได้เลย โดยสามารถดาวน์โหลดไลบรารีเวอร์ชัน 4.00 ได้ที่ https://github.com/ytai/ioio/wiki/Downloads

 

      หรือสามารถดาวน์โหลดจากบทความนี้ได้เลยเช่นกัน โดยคลิกที่นี่ App-IOIO0400 เมื่อดาวน์โหลดเสร็จแล้ว ให้ทำการ Extract ออกมาเป็นโฟลเดอร์

 

      กลับมาที่โปรแกรม Eclipse ให้เลือกไปที่ File > Import…

 

 

      เลือกไปที่ General > Existing Projects into Workspace

      เลือก Select root directory แล้วกดปุ่ม Browse… ที่อยู่ท้ายสุด

      เลือกที่อยู่ของโฟลเดอร์ไลบรารีที่ดาวน์โหลดมาเมื่อครู่

 

      จะมีรายชื่อโปรเจคของ IOIO แสดงขึ้นมาจำนวนหนึ่ง ให้เลือกเฉพาะ IOIOLibAndroid, IOIOLibBT และ IOIOLibAccessory

      เมื่อเพิ่มเข้ามาเรียบร้อยแล้ว อาจจะมีข้อความแจ้งที่หน้าต่าง Console ว่า Unable to resolve target ‘android-x’ เพราะว่าเครื่องของผู้อ่านไม่ได้ติดตั้ง Android เวอร์ชันนั้นๆใน Android SDK Manager

 

      ในกรณีตัวอย่างนี้เกิดจากโปรเจค IOIOLibAndroid และทุกโปรเจคขึ้นเครื่องหมายตกใจสีแดงทั้งหมด ให้คลิกขวาที่โปรเจค  IOIOLibAndroid แล้วเลือก Properties

 

      ที่หน้าต่าง Properties ที่ช่องซ้ายมือให้เลือก Android แล้วที่ช่องขวามือจะมี Project Build Target ให้เลือก โดยให้เลือกเป็น Android เวอร์ชันล่าสุดที่ได้ติดตั้งไว้ จากตัวอย่างผู้เขียนติดตั้งเวอร์ชันล่าสุดเป็น 4.4.2

 

      ต่อไปที่ช่องซ้ายมือให้เลือกที่ Java Build Path แล้วที่ช่องขวามือเลือก Source จะเห็นว่ามีโฟลเดอร์ตัวนึงที่ขึ้นเครื่องหมายกากบาทสีแดงอยู่ ให้เลือกที่โฟลเดอร์ดังกล่าวแล้วกดปุ่ม Remove ที่อยู่ขวามือ แล้วกดปุ่ม  OK ที่อยู่ข้างล่างสุดของหน้าต่าง

 

      จะเห็นว่าจากเดิมที่ขึ้นเครื่องหมายตกใจสีแดงได้เปลี่ยนไปเป็นเครื่องหมายกากบาทสีแดงแล้ว

 

      ต่อไปให้ทำการลากโฟลเดอร์ src ที่ได้ดาวน์โหลดไว้แล้วมาวางบนโฟลเดอร์โปรเจค IOIOLibAndroid

 

      จะมีหน้าต่างขึ้นมาถามว่าจะให้ทำอะไร ให้เลือก Copy files and folders แล้วกดปุ่ม OK

 

      จะมีหน้าต่างถามอีกครั้งว่าต้องการวางทับโฟลเดอร์ src ของเดิมหรือไม่ ให้กดปุ่ม Yes เพราะไม่มีผลอะไรกับไฟล์ที่อยู่ในโฟลเดอร์ src เดิม เพราะว่าไฟล์ภายในระหว่าง src ทั้งสองโฟลเดอร์นั้นไม่เหมือนกันจึงทำให้ไฟล์ไม่มีทางแทนที่ของเดิม

      รอซักครู่ก็จะเห็นว่ามีไฟล์เพิ่มเข้ามาในโฟลเดอร์ src และเครื่องหมายกากบาทสีแดงที่โปรเจค IOIOLibAndroid ก็จะหายไปแล้ว

      ต่อไปให้คลิกขวาที่โปรเจค IOIOLibAccessory แล้วเลือก Properties

 

      ที่ช่องซ้ายมือเลือกที่ Android ที่ช่อง Project Build Target สำหรับ IOIOLibAccessory จะต้องเลือกเป็น Google APIs โดยให้เลือกเป็นเวอร์ชันล่าสุดที่ติดตั้งไว้ จากตัวอย่างผู้เขียนได้เลือกเป็น Google APIs 19 และจะเห็นในช่อง Library ที่อยู่ขวามือจะมีเครื่องหมายกากบาทอยู่ ให้เลือกแล้วกดปุ่ม Remove ออก แล้วกดปุ่ม Add…

 

      ให้เพิ่มโปรเจค IOIOLibAndroid เข้าไป โดยกดเลือกที่โปรเจคดังกล่าวแล้วกดปุ่ม OK

 

      จะเห็นว่าจากเดิมที่เป็นเครื่องหมายกากบาทสีแดงได้กลายเป็นเครื่องหมายถูกต้องสีเขียวแล้ว เมื่อเพิ่มเสร็จแล้วเรียบร้อยแล้วให้กดปุ่ม OK เพื่อปิดหน้าต่าง Properties ได้เลย

 

      เครื่องหมายกากบาทสีแดงที่ข้างหน้าโปรเจค IOIOLibAccessory จะหายไป แต่ถ้าไม่หายไปให้ลองกดดู Properties ของโปรเจคนี้อีกครั้ง ถ้าพบว่ายังมีเครื่องหมายกากบาทที่ช่อง Library เหมือนเดิม ให้ลองเช็คที่อยู่ของ Workspace ใหม่ เพราะที่อยู่ของโฟลเดอร์ Workspace จะต้องไม่อยู่ใน Path ใดๆที่มีการเว้นวรรคของชื่อโฟลเดอร์ เมื่อโปรเจค IOIOLibAccessory สามารถใช้งานได้แล้ว ต่อไปให้คลิกขวาที่โฟลเดอร์โปรเจค IOIOLibBT แล้วเลือก Properties

      ที่ช่องขวามือให้เลือก Android แล้วดูที่ช่อง Library เหมือนเดิม จะเห็นว่ามีเครื่องหมายกากบาทสีแดงอยู่ ให้ลบออกแล้วเพิ่มโปรเจค IOIOLibAndroid เข้ามาใหม่อีกครั้ง และสำหรับช่อง Project Build Target ให้เลือกเป็น Android เวอร์ชันล่าสุดได้เลย จากตัวอย่างผู้เขียนเลือกเป็น Android 4.4.2

 

      เมื่อเสร็จแล้วให้กดปุ่ม OK เพียงเท่านี้ไลบรารีทั้ง 3 ตัวก็พร้อมใช้งานเรียบร้อยแล้ว สำหรับ IOIOLibAndroid จะมีเครื่องหมายตกใจสีเหลือง ซึ่งไม่มีปัญหาอะไร สามารถใช้งานได้ปกติ

      เมื่อเสร็จสิ้นทั้งหมดแล้วก็สามารถเริ่มเขียนแอปพลิเคชันแอนดรอยด์เพื่อควบคุมบอร์ด IOIO-Q ต่อไปได้เลย

 

Facebook Comments

One Comment

  1. Pingback: [IOIO-Q] เริ่มต้นกับ IOIO-Q ด้วยไลบรารีเวอร์ชัน 4.00 |

Comments are closed.